Subject: Re: g++ (v.3.1.1-4) -mno-cygwin with a hello world sample crashesoddly
From: Robert Collins <[email-masked]>
To: Dylan Cuthbert <[email-masked]>
Cc: [email-masked]
Date: 21 Jul 2002 12:42:07 +1000

On Sun, 2002-07-21 at 12:28, Dylan Cuthbert wrote:
> Sorry to waste everybody's time, but I'm really confused now.  I re-compiled
> the program today with the *exact* same command line arguments, the only
> difference is that I've rebooted the computer.  The program now works
> *fine*!!
> 
> The order of events:
> 
> 1> I logged in as Administrator and ran cygwin's setup.exe
> 2> I installed all the latest Exp stuff, setup didn't say I needed to
> reboot, so I didn't.
> 3> I logged out, logged back in as myself
> 4> Tried using the -mno-cygwin options and hit the problem posted yesterday.
> 5> Shutdown win2k and went home
> 6> First thing this morning, tried *exactly the same thing*, and it works.
> 
> :-?
> 
> I think I'll reboot no matter what Setup reckons in the future. :-)

What OS are you running? If it's NT/2K setup can't replace in use files,
and thats when it will warn. If setup doesn't warn you, then you don't
need to reboot.

Rob

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/